<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Open Newsletter (previously Burn!nGames Newsletter)
| Copyright (c) Koller Jzsef & Paul Beuk - 2003-2008
| Filename: infusion.php
| Original author: Koller Jzsef (Orosznyet)
| email: orosznyet@gmail.com
| website: http://orosznyet.extra.hu
| updated for PHP-Fusion v7: Paul Beuk (muscapaul)
| email: muscapaul@gmail.com
| website: http://www.muscapaul.com
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";
require_once INCLUDES."sendmail_include.php";

include INFUSIONS."open_newsletter_panel/infusion_db.php";

if (!checkrights("ONL") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

if (file_exists(INFUSIONS."open_newsletter_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."open_newsletter_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."open_newsletter_panel/locale/English.php";
}

$error = isset($_REQUEST['error']) ? $_REQUEST['error'] : "";
$newsletter_id = (isset($_REQUEST['newsletter_id']) AND isnum($_REQUEST['newsletter_id'])) ? $_REQUEST['newsletter_id'] : "";

opentable($locale['onl_050']);
echo "<table cellpadding='0' cellspacing='1' class='tbl-border' width='99%' align='center'>\n";
echo "<tr><td class='tbl1' width='33%' align='center'>".$locale['onl_051']."</td>\n";
echo "<td class='tbl2' width='33%' align='center'><a href='open_newsletter_subs.php".$aidlink."'>".$locale['onl_052']."</a></td>\n";
echo "<td class='tbl2' width='33%' align='center'><a href='open_newsletter_valid_admin.php".$aidlink."'>".$locale['onl_053']."</a></td></tr>\n";
echo "</table>\n";
closetable();

if (isset($_POST['save'])) {
	$subject = addslash($_POST['subject']);
	$content = addslash($_POST['content']);
	if ($newsletter_id != '') {
		$result = dbquery("UPDATE ".DB_ONEWSLETTERS." SET newsletter_subject='".$subject."', newsletter_content='".$content."', newsletter_format='".$_POST['format']."' WHERE newsletter_id='".$newsletter_id."'");
		opentable($locale['onl_054']);
		echo "<center><br />".$locale['onl_055']."<br /><br />\n";
		echo "<a href='open_newsletter_admin.php".$aidlink."'>".$locale['onl_056']."</a><br /><br />\n";
		echo "<a href='".ADMIN."index.php".$aidlink."'>".$locale['onl_057']."</a><br /><br /></center>\n";
		closetable();
	}
	else {
		$result = dbquery("INSERT INTO ".DB_ONEWSLETTERS." VALUES('', '".$subject."', '".$content."', '".$_POST['format']."', '".time()."')");
		opentable($locale['onl_058']);
		echo "<center><br />".$locale['onl_059']."<br /><br />\n";
		echo "<a href='open_newsletter_admin.php".$aidlink."'>".$locale['onl_056']."</a><br /><br />\n";
		echo "<a href='".ADMIN."index.php".$aidlink."'>".$locale['onl_057']."</a><br /><br /></center>\n";
		closetable();
	}
}
elseif (isset($_POST['send'])) {
	$subject = stripslash($_POST['subject']);
	if ($_POST['format'] == "plain") {
		$content = stripslash($_POST['content']);
	}
	elseif ($_POST['format'] == "html") {
		$content = "<html>\n
<head>\n
<style type=\"text/css\">\n
<!--\n
a { color: #0000ff; text-decoration:none; }\n
a:hover { color: #0000ff; text-decoration: underline; }\n
body { font-family:Verdana,Tahoma,Arial,Sans-Serif; font-size:10px; }\n
p { font-family:Verdana,Tahoma,Arial,Sans-Serif; font-size:10px; }\n
.td { font-family:Verdana,Tahoma,Arial,Sans-Serif; font-size:10px; }\n
-->\n
</style>\n
</head>\n
<body>\n
".stripslashes($_POST['content'])."\n
</body>\n
</html>\n";
	}
	$result = dbquery("SELECT * FROM ".DB_ONEWSLETTER_SUBS." WHERE newsletter_sub_stat='1'");
	$result2 = dbquery("SELECT user_email FROM ".DB_USERS."");
	if (dbrows($result2)) {
		$user_email_cache = array();
		while ($data2 = dbarray($result2)) {
			$user_email_cache[] = $data2['user_email'];
		}
	}
	if (dbrows($result)) {
		$i = 1; $rows = dbrows($result); $bcc_list = "";
		while ($data = dbarray($result)) {
			if ((!in_array($data['newsletter_sub_mail'], $user_email_cache)) AND $data['newsletter_sub_who'] == '1') {
				$result1 = dbquery("DELETE FROM ".DB_ONEWSLETTER_SUBS." WHERE newsletter_sub_mail='".$data['newsletter_sub_mail']."'");
			}
			else {
				$bcc_list .= ($i != 1 ? ", " : "").$data['newsletter_sub_mail'];
				if ($rows == 1 || $i == 99) {
					if (!sendemail($settings['siteusername'],$settings['siteemail'],$settings['siteusername'],$settings['siteemail'],$subject,$content,$_POST['format'],"", $bcc_list)) {
						$error = $locale['onl_060'];
					}
					$bcc_list = "";
				}
				if ($i != 99) { $i++; } else { $i = 1; }
				$rows--;
			}
		}
	}
	else {
		$error = $locale['onl_061'];
	}
	opentable($locale['onl_062']);
	echo "<center><br />\n";
	if (!$error) {
		echo $locale['onl_063']."<br /><br />\n";
	}
	else {
		echo $locale['onl_064']."<br /><br />\n".$error."<br /><br />\n";
	}
	echo "<a href='open_newsletter_admin.php".$aidlink."'>".$locale['onl_056']."</a><br /><br />\n";
	echo "<a href='".ADMIN."index.php".$aidlink."'>".$locale['onl_057']."</a><br /><br /></center>\n";
	closetable();
}
elseif (isset($_POST['delete'])) {
	$result = dbquery("DELETE FROM ".DB_ONEWSLETTERS." WHERE newsletter_id='".$newsletter_id."'");
	opentable($locale['onl_065']);
	echo "<center><br />".$locale['onl_066']."<br /><br />\n";
	echo "<a href='open_newsletter_admin.php".$aidlink."'>".$locale['onl_056']."</a><br /><br />\n";
	echo "<a href='".ADMIN."index.php".$aidlink."'>".$locale['onl_057']."</a><br /><br /></center>\n";
	closetable();
}
else {
	if (isset($_POST['preview'])) {
		$subject = phpentities(stripslash($_POST['subject']));
		$content = phpentities(stripslash($_POST['content']));
		$plain = ($_POST['format'] == "plain" ? " checked" : "");
		$html = ($_POST['format'] == "html" ? " checked" : "");
		if ($_POST['format'] == "plain") {
			$contentpreview = nl2br(stripslash($_POST['content']));
		}
		else {
			$contentpreview = stripslash($_POST['content']);
		}
		opentable($subject);
		echo $contentpreview."\n";
		closetable();
	}
	opentable($locale['onl_067']);
	$editlist = "";
	$sel = "";
	$result = dbquery("SELECT * FROM ".DB_ONEWSLETTERS." ORDER BY newsletter_datestamp DESC");
	if (dbrows($result) != 0) {
		while ($data = dbarray($result)) {
			if ($newsletter_id != '') $sel = ($newsletter_id == $data['newsletter_id'] ? " selected" : "");
			$editlist .= "<option value='".$data['newsletter_id']."'".$sel.">".$data['newsletter_subject']."</option>\n";
		}
	}
	echo "<form name='selectform' method='post' action='".FUSION_SELF.$aidlink."'>\n";
	echo "<table align='center' cellspacing='1' cellpadding='0' class='tbl-border' width='400'>\n";
	echo "<tr><td class='tbl2'><select name='newsletter_id' class='textbox' style='width:100%'>".$editlist."</select></td></tr>\n";
	echo "<tr><td class='tbl1' align='center'><input type='submit' name='edit' value='".$locale['onl_068']."' class='button' />\n";
	echo "<input type='submit' name='delete' value='".$locale['onl_069']."' onclick='return DeleteNewsletter();' class='button' /></td></tr>\n";
	echo "</table>\n</form>\n";
	closetable();

	if (isset($_POST['edit'])) {
		$result = dbquery("SELECT * FROM ".DB_ONEWSLETTERS." WHERE newsletter_id='".$newsletter_id."'");
		if (dbrows($result) != 0) {
			$data = dbarray($result);
			$subject = phpentities(stripslashes($data['newsletter_subject']));
			$content = phpentities(stripslashes($data['newsletter_content']));
			$plain = ($data['newsletter_format'] == "plain" ? " checked" : "");
			$html = ($data['newsletter_format'] == "html" ? " checked" : "");
		}
	}
	if ($newsletter_id != '') {
		$action = FUSION_SELF.$aidlink."&newsletter_id=".$newsletter_id;
		opentable($locale['onl_054']);
	} else {
		if (!isset($_POST['preview'])) {
			$subject = "";
			$content = "";
			$html = " checked";
			$plain = "";
		}
		$action = FUSION_SELF.$aidlink;
		opentable($locale['onl_058']);
	}
	echo "<form name='inputform' method='post' action='".$action."' onSubmit='return ValidateForm(this)'>\n";
	echo "<table align='center' cellspacing='1' cellpadding='0' class='tbl-border' width='600'>\n";
	echo "<tr><td width='100' class='tbl1'>".$locale['onl_070']."</td>\n";
	echo "<td class='tbl1'><input type='text' name='subject' value='".$subject."' class='textbox' style='width:250px;'></td></tr>\n";
	echo "<tr><td valign='top' width='100' class='tbl2'>".$locale['onl_071']."</td>\n";
	echo "<td class='tbl2'><textarea name='content' cols='95' rows='15' class='textbox'>".$content."</textarea></td></tr>\n";
	echo "<tr><td class='tbl1'>".$locale['onl_072']."</td>\n";
	echo "<td class='tbl1'><input type='button' value='p' class='button' style='font-weight:bold;width:25px;' onClick=\"addText('content', '<p>', '</p>');\" />\n";
	echo "<input type='button' value='br' class='button' style='font-weight:bold;width:25px;' onClick=\"insertText('content', '<br />');\" />\n";
	echo "<input type='button' value='b' class='button' style='font-weight:bold;width:25px;' onClick=\"addText('content', '<b>', '</b>');\" />\n";
	echo "<input type='button' value='i' class='button' style='font-style:italic;width:25px;' onClick=\"addText('content', '<i>', '</i>');\" />\n";
	echo "<input type='button' value='u' class='button' style='text-decoration:underline;width:25px;' onClick=\"addText('content', '<u>', '</u>');\" />\n";
	echo "<input type='button' value='link' class='button' style='width:35px;' onClick=\"addText('content', '<a href=\'http://\' target=\'_blank\'>', '</a>');\" />\n";
	echo "<input type='button' value='img' class='button' style='width:35px;' onClick=\"insertText('content', '<img src=\'".$settings['siteurl']."fusion_images/\' style=\'margin:5px;\' align=\'left\'>');\" />\n";
	echo "<input type='button' value='center' class='button' style='width:45px;' onClick=\"addText('content', '<center>', '</center>');\" />\n";
	echo "<input type='button' value='small' class='button' style='width:40px;' onClick=\"addText('content', '<span class=\'small\'>', '</span>');\" />\n";
	echo "<input type='button' value='small2' class='button' style='width:45px;' onClick=\"addText('content', '<span class=\'small2\'>', '</span>');\" />\n";
	echo "<input type='button' value='alt' class='button' style='width:25px;' onClick=\"addText('content', '<span class=\'alt\'>', '</span>');\" /></td></tr>\n";
	echo "<tr><td class='tbl2'>".$locale['onl_073']."</td>\n";
	echo "<td class='tbl2'><input type='radio' name='format' value='plain'".$plain.">".$locale['onl_074']." <input type='radio' name='format' value='html'".$html.">HTML</td></tr>\n";
	echo "<tr><td align='center' colspan='2' class='tbl1'><input type='submit' name='preview' value='".$locale['onl_075']."' class='button' />\n";
	echo "<input type='submit' name='save' value='".$locale['onl_076']."' class='button' />\n";
	echo "<input type='submit' name='send' value='".$locale['onl_077']."' class='button' /></td></tr>\n";
	echo "</table>\n</form>\n";
	closetable();
	echo "<script language=\"JavaScript\">
	function DeleteNewsletter() {
		return confirm('".$locale['onl_078']."');
	}
	function ValidateForm(frm) {
		if(frm.subject.value=='') {
			alert('".$locale['onl_079']."');
			return false;
		}
	}
	</script>\n";
}

require_once THEMES."templates/footer.php";
?>