<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Open Newsletter (previously Burn!nGames Newsletter)
| Copyright (c) Koller Jzsef & Paul Beuk - 2003-2008
| Filename: infusion.php
| Original author: Koller Jzsef (Orosznyet)
| email: orosznyet@gmail.com
| website: http://orosznyet.extra.hu
| updated for PHP-Fusion v7: Paul Beuk (muscapaul)
| email: muscapaul@gmail.com
| website: http://www.muscapaul.com
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";

include INFUSIONS."open_newsletter_panel/infusion_db.php";

if (file_exists(INFUSIONS."open_newsletter_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."open_newsletter_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."open_newsletter_panel/locale/English.php";
}

if (!checkrights("ONL") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

opentable($locale['onl_050']);
echo "<table cellpadding='0' cellspacing='1' class='tbl-border' width='99%' align='center'>\n";
echo "<tr><td class='tbl2' width='33%' align='center'><a href='open_newsletter_admin.php".$aidlink."'>".$locale['onl_051']."</a></td>\n";
echo "<td class='tbl2' width='33%' align='center'><a href='open_newsletter_subs.php".$aidlink."'>".$locale['onl_052']."</a></td>\n";
echo "<td class='tbl1' width='33%' align='center'>".$locale['onl_053']."</td></tr>\n";
echo "</table>";
closetable();
echo "<br />";
opentable($locale['onl_150']);
if (isset($code)) {
	$res1 = dbarray(dbquery("SELECT * FROM ".DB_ONEWSLETTER_VALIDATE." WHERE validate_code='".$code."'"));
	$res2 = dbarray(dbquery("SELECT * FROM ".DB_ONEWSLETTER_SUBS." WHERE newsletter_sub_id='".$res1['newsletter_sub_id']."'"));
	if ($res2['newsletter_sub_stat'] == 0) {
		$res3 = dbquery("DELETE FROM ".DB_ONEWSLETTER_SUBS." WHERE newsletter_sub_id='".$res1['newsletter_sub_id']."'"); 
	}
	$res4 = dbquery("DELETE FROM ".DB_ONEWSLETTER_VALIDATE." WHERE validate_code='".$code."'"); 
}

$result = dbquery("SELECT * FROM ".DB_ONEWSLETTER_VALIDATE."");
if (dbrows($result) !=0) {
	echo "<table width='650px' border='0' align='center' class='tbl-border' cellpadding='0' cellspacing='1'>\n";
	echo "<tr><td class='tbl2' width='200px'>".$locale['onl_105']."</td>\n";
	echo "<td class='tbl2' width='200px'>".$locale['onl_151']."</td>\n";
	echo "<td class='tbl2' width='150px'>".$locale['onl_112']."</td>\n";
	echo "<td class='tbl2' width='100px'>".$locale['onl_113']."</td></tr>\n";	
	while ($data = dbarray($result)) {
		$info = unserialize($data['user_info']);
		$cell_color = ($q % 2 == 0 ? "tbl1" : "tbl2"); $q++;
		$ccd = dbquery("SELECT * FROM ".DB_ONEWSLETTER_SUBS." WHERE newsletter_sub_id='".$data['subscript_id']."'"); $ccd_a = dbarray($ccd);
		echo "<tr><td class='".$cell_color."' width='200px'><a href='mailto:".$ccd_a['newsletter_sub_mail']."'>".$ccd_a['newsletter_sub_mail']."</a></td>\n";
		echo "<td class='".$cell_color."' width='200px'>".$data['validate_code']."</td>\n";
		echo "<td class='".$cell_color."' width='150px'>".showdate("shortdate", $ccd_a['newsletter_sub_date'])."</td>\n";
		echo "<td class='".$cell_color."' width='100px'><a href='".FUSION_SELF."?code=".$data['validate_code']."' onclick='return RemoveThisNewUser();'>".$locale['onl_069']."</a></td></tr>\n";
	}
	echo "</table>";
}
else{
	echo "<div style='text-align:center'>".$locale['onl_152']."</div>";
}
closetable();

echo "<script language='JavaScript'>
	function RemoveThisNewUser() {
		return confirm('".$locale['onl_153']."');
	}
</script>";

require_once THEMES."templates/footer.php";
?>