<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: Paul Beuk (muscapaul)
+--------------------------------------------------------+
| Open Newsletter (previously Burn!nGames Newsletter)
| Copyright (c) Koller Jzsef & Paul Beuk - 2003-2008
| Filename: infusion.php
| Original author: Koller Jzsef (Orosznyet)
| email: orosznyet@gmail.com
| website: http://orosznyet.extra.hu
| updated for PHP-Fusion v7: Paul Beuk (muscapaul)
| email: muscapaul@gmail.com
| website: http://www.muscapaul.com
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."open_newsletter_panel/infusion_db.php";

if (file_exists(INFUSIONS."open_newsletter_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."open_newsletter_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."open_newsletter_panel/locale/English.php";
}

// Infusion general information
$inf_title = $locale['onl_000'];
$inf_description = $locale['onl_001'];
$inf_version = "2.0";
$inf_developer = "Koller Jzsef (Orosznyet);<br />v7 upgrade Paul Beuk (muscapaul)";
$inf_email = "muscapaul@gmail.com";
$inf_weburl = "http://www.muscpaul.com";

$inf_folder = "open_newsletter_panel";

$inf_newtable[1] = DB_ONEWSLETTERS." (
	newsletter_id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
	newsletter_subject VARCHAR(200) NOT NULL DEFAULT '',
	newsletter_content text NOT NULL,
	newsletter_format VARCHAR(5) NOT NULL DEFAULT 'plain',
	newsletter_datestamp INT(10) UNSIGNED NOT NULL DEFAULT '0',
	PRIMARY KEY (newsletter_id)
) TYPE=MyISAM;";

$inf_newtable[2] = DB_ONEWSLETTER_SUBS." (
	newsletter_sub_id SMALLINT( 5 ) UNSIGNED NOT NULL AUTO_INCREMENT,
	newsletter_sub_mail VARCHAR( 100 ) NOT NULL DEFAULT 'user@domain.com',
	newsletter_sub_stat TINYINT( 1 ) NOT NULL DEFAULT '0',
	newsletter_sub_date INT( 10 ) NOT NULL DEFAULT '".time()."',
	newsletter_sub_who TINYINT( 1 ) NOT NULL DEFAULT '0',
	PRIMARY KEY (newsletter_sub_id)
) TYPE=MyISAM;";

$inf_newtable[3] = DB_ONEWSLETTER_VALIDATE." (
	validate_id SMALLINT( 5 ) UNSIGNED NOT NULL AUTO_INCREMENT,
	validate_code VARCHAR( 32 ) NOT NULL,
	subscript_id SMALLINT( 5 ) NOT NULL,
	PRIMARY KEY (validate_id)
) TYPE=MyISAM;";

$inf_droptable[1] = DB_ONEWSLETTERS;
$inf_droptable[2] = DB_ONEWSLETTER_SUBS;
$inf_droptable[3] = DB_ONEWSLETTER_VALIDATE;

$inf_adminpanel[1] = array(
	"title" => $locale['onl_000'],
	"image" => "infusion_panel.gif",
	"panel" => "open_newsletter_admin.php",
	"rights" => "ONL"
);

$inf_sitelink[1] = array(
	"title" => $locale['onl_002'],
	"url" => "subscription.php",
	"visibility" => "0"
);
?>