<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Open Newsletter (previously Burn!nGames Newsletter)
| Copyright (c) Koller Jzsef & Paul Beuk - 2003-2008
| Filename: infusion.php
| Original author: Koller Jzsef (Orosznyet)
| email: orosznyet@gmail.com
| website: http://orosznyet.extra.hu
| updated for PHP-Fusion v7: Paul Beuk (muscapaul)
| email: muscapaul@gmail.com
| website: http://www.muscapaul.com
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";
require_once INCLUDES."sendmail_include.php";

include INFUSIONS."open_newsletter_panel/infusion_db.php";

if (!checkrights("ONL") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

$rowstart = (isset($_REQUEST['rowstart']) AND isnum($_REQUEST['rowstart'])) ? $_REQUEST['rowstart'] : "0";
$sub_id = (isset($_REQUEST['sub_id']) AND isnum($_REQUEST['sub_id'])) ? $_REQUEST['sub_id'] : "";
$step = (isset($_REQUEST['step']) AND isnum($_REQUEST['step'])) ? $_REQUEST['step'] : "0";
$do = isset($_REQUEST['do']) ? $_REQUEST['do'] : "";
$error = isset($_REQUEST['error']) ? $_REQUEST['error'] : "";
if($do == "") { $step = "none"; }

if (file_exists(INFUSIONS."open_newsletter_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."open_newsletter_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."open_newsletter_panel/locale/English.php";
}

opentable($locale['onl_050']);
echo "<table cellpadding='0' cellspacing='1' class='tbl-border' width='99%' align='center'>\n";
echo "<tr><td class='tbl2' width='33%' align='center'><a href='open_newsletter_admin.php".$aidlink."'>".$locale['onl_051']."</a></td>\n";
echo "<td class='tbl1' width='33%' align='center'>".$locale['onl_052']."</td>\n";
echo "<td class='tbl2' width='33%' align='center'><a href='open_newsletter_valid_admin.php".$aidlink."'>".$locale['onl_053']."</a></td></tr>\n";
echo "</table>\n";
closetable();
echo "<br />";

if ($step == 1 AND $sub_id != "") {
	if ($do == "activate") {
		opentable($locale['onl_090']);
		$result = dbquery("UPDATE ".DB_ONEWSLETTER_SUBS." SET newsletter_sub_stat='1' WHERE newsletter_sub_id ='".$sub_id."'");
		echo "<center><br />".$locale['onl_091']."<br /><br /><br /n";
		echo "<a href='".FUSION_SELF.$aidlink."'>".$locale['onl_092']."</a><br /><br />\n";
		echo "<a href='".ADMIN."index.php".$aidlink."'>".$locale['onl_057']."</a><br /><br /></center>\n";
		closetable();
		echo "<br />";
	}
	elseif ($do == "deactivate") {
		opentable($locale['onl_093']);
		$result = dbquery("UPDATE ".DB_ONEWSLETTER_SUBS." SET newsletter_sub_stat='0' WHERE newsletter_sub_id ='".$sub_id."'");
		echo "<center><br />".$locale['onl_094']."<br /><br /><br />\n";
		echo "<a href='".FUSION_SELF.$aidlink."'>".$locale['onl_092']."</a><br /><br />\n";
		echo "<a href='".ADMIN."index.php".$aidlink."'>".$locale['onl_057']."</a><br /><br /></center>\n";
		closetable();  
		echo "<br />";
	}
	elseif ($do == "delete") {
		opentable($locale['onl_095']);
		$result = dbquery("DELETE FROM ".DB_ONEWSLETTER_SUBS." WHERE newsletter_sub_id='".$sub_id."'");
		echo "<center><br />".$locale['onl_096']."<br /><br /><br />\n";
		echo "<a href='".FUSION_SELF.$aidlink."'>".$locale['onl_092']."</a><br /><br />\n";
		echo "<a href='".ADMIN."index.php".$aidlink."'>".$locale['onl_057']."</a><br /><br /></center>\n";
		closetable();  
		echo "<br />";
	}
}
if ($step == 1 AND $sub_id == "" AND $do == "add") {
	opentable($locale['onl_097']);
	if (isset($_POST['add_sub'])) {
		$time = time();
		echo "<center><br />";
		if ($_POST['subs_type'] == 1) {
			if (isnum($_POST['subs_user_id'])) {
			$usern = dbquery("SELECT * FROM ".DB_USERS." WHERE user_id='".$_POST['subs_user_id']."'");
				if (dbrows($usern) != 0) {
					$usern_a = dbarray($usern);
					$usern_s =  dbquery("INSERT INTO ".DB_ONEWSLETTER_SUBS." VALUES('', '".$usern_a['user_email']."','1','".$time."','1')");
					echo $locale['onl_098'];
				}
				else {
					echo $locale['onl_099']." ".$_POST['subs_user_id'];
				}
			}
			else {
				echo $locale['onl_100'];
			}
		}
		elseif ($_POST['subs_type'] == 2) {
			$time = time();
			$email = stripinput(trim(eregi_replace(" +", "", $_POST['sub_mail'])));
			if ($email == "") {
				$error .= "<font color='red'><strong></strong></font> ".$locale['onl_015']."<br />\n";
			}
			if (!preg_match("/^[-0-9A-Z_\.]{1,50}@([-0-9A-Z_\.]+\.){1,50}([0-9A-Z]){2,4}$/i", $email)) {
				$error .= "<font color='red'><strong></strong></font> ".$locale['onl_016']."<br />\n";
			}
			$email_domain = substr(strrchr($email, "@"), 1);
			$result = dbquery("SELECT * FROM ".DB_BLACKLIST." WHERE blacklist_email='".$email."' OR blacklist_email='".$email_domain."'");
			if (dbrows($result) != 0) {
				$error .= "<font color='red'><strong></strong></font> ".$locale['onl_017']."<br />\n";
			}
			$result = dbquery("SELECT * FROM ".DB_ONEWSLETTER_SUBS." WHERE newsletter_sub_mail='".$email."'");
			if (dbrows($result) != 0) {
				$error .= "<font color='red'><strong></strong></font> ".$locale['onl_018']."<br />\n";
			}
			if ($error == "") {
				$userow = dbrows(dbquery("SELECT * FROM ".DB_USERS." WHERE user_email='".$_POST['sub_mail']."'"));
				if ($userow == 1) { $who = 1;} else { $who = 0;}
				$result = dbquery("INSERT INTO ".DB_ONEWSLETTER_SUBS." VALUES('', '".$_POST['sub_mail']."','0','".$time."','".$who."')");
				echo $locale['onl_101'];
			}
			elseif ($error != "") {
				echo $locale['onl_023']."<br />\n".$error."<br /><div align='center'>";
			}
		}
		else {
			echo $locale['onl_102'];
		}
		echo "<br /><br /><br /><a href='".FUSION_SELF.$aidlink."'>".$locale['onl_092']."</a><br /><br />\n";
		echo "<a href='".ADMIN."index.php".$aidlink."'>".$locale['onl_057']."</a><br /><br /></center>";
	}
	else {
		$result = dbquery("SELECT * FROM ".DB_USERS." ORDER BY user_name ASC");
		if (dbrows($result) != 0) {
			$editlist = '';
			$sel = '';
			while ($data = dbarray($result)) {
				if (isset($user_id)) { $sel = ($data['user_id'] == $user_id ? " selected" : ""); }
				$cu = dbrows(dbquery("SELECT * FROM ".DB_ONEWSLETTER_SUBS." WHERE newsletter_sub_mail='".$data['user_email']."'"));
				if ($cu == 0) {
					$editlist .= "<option value='".$data['user_id']."'".$sel.">".$data['user_name']."</option>\n";
				}
			}
		}
		echo "<center><form name='publish' method='post' action='".FUSION_SELF.$aidlink."&step=1&do=add'>\n";
		echo "<table cellpadding='0' cellspacing='1' class='tbl-border' align='center' width='500px'>\n";
		echo "<tr><td class='tbl1' colspan='3' width='100%'>".$locale['onl_097']."</td></tr>\n";
		echo "<tr><td class='tbl2' width='30%'><input type='radio' name='subs_type' value='1' checked /> ".$locale['onl_103']."</td>\n";
		echo "<td class='tbl2' width='70%' colspan='2'><select name='subs_user_id' class='textbox' style='width:250px' />".$editlist."</select></td></tr>\n";
		echo "<tr><td class='tbl1' width='30%'><input type='radio' name='subs_type' value='2' /> ".$locale['onl_104']."</td>\n";
		echo "<td class='tbl1' width='20%'>".$locale['onl_105']." <td class='tbl1'><input type='text' class='textbox' name='sub_mail' style='width:200px' /></td></tr>\n";
		echo "<tr><td class='tbl1' colspan='3' width='100%' align='center'><input type='submit' name='add_sub' class='button' value='".$locale['onl_106']."' /></td></tr>\n";
		echo "</table>";
	}
	closetable();
}
else {
	opentable($locale['onl_107']);
	$result = dbquery("SELECT * FROM ".DB_ONEWSLETTER_SUBS."");
	$rows = dbrows($result);
	$result = dbquery("SELECT * FROM ".DB_ONEWSLETTER_SUBS." ORDER BY newsletter_sub_stat LIMIT ".$rowstart.",500");

	if (dbrows($result) != 0) {
		echo "<table border='0' cellpadding='0' cellspacing='1' class='tbl-border' width='100%' align='center'>\n";
		echo "<tr><td class='tbl2' align='center' width='100%' colspan='4'>".$locale['onl_108']." [ <a href='".FUSION_SELF.$aidlink."&step=1&do=add'>".$locale['onl_109']."</a> ]</td></tr>\n";
		echo "<tr><td class='tbl1' align='center' width='25%'>".$locale['onl_110']."</td>\n";
		echo "<td class='tbl1' align='center' width='25%'>".$locale['onl_111']."</td>\n";
		echo "<td class='tbl1' align='center' width='25%'>".$locale['onl_112']."</td>\n";
		echo "<td class='tbl1' align='center' width='25%'>".$locale['onl_113']."</td></tr>\n";
		while ($data = dbarray($result)) {
			$cell_color = ($i % 2 == 0 ? "tbl2" : "tbl1"); $i++;
			echo "<tr><td class='".$cell_color."' width='25%' align='center'><a href='mailto:".$data['newsletter_sub_mail']."'>".$data['newsletter_sub_mail']."</a></td>\n";
			echo "<td class='".$cell_color."' width='25%' align='center'>\n";
			if ($data['newsletter_sub_who'] == 1) {
				$rescum = dbquery("SELECT * FROM ".DB_USERS." WHERE user_email='".$data['newsletter_sub_mail']."'");
				if (dbrows($rescum) != 0) {
					$resc = dbarray($rescum);
					echo "<strong><a href='".BASEDIR."profile.php?lookup=".$resc['user_id']."'>".$resc['user_name']."</a></strong>\n";
				}
				else {
					echo $locale['onl_114'];
				}
			}
			elseif ($data['newsletter_sub_who'] != 1) {
				echo "<font color='red'>".$locale['onl_115']."</font>";
			}
			echo "</td><td class='".$cell_color."' width='25%' align='center'>".showdate("shortdate",$data['newsletter_sub_date'])."</td>\n";
			echo "<td class='".$cell_color."' width='25%' align='center'>\n";
			if ($data['newsletter_sub_stat'] == 0) {
				echo "<a href='".FUSION_SELF.$aidlink."&step=1&sub_id=".$data['newsletter_sub_id']."&do=activate'>".$locale['onl_116']."</a>";
			}
			elseif ($data['newsletter_sub_stat'] == 1) {
				echo "<a href='".FUSION_SELF.$aidlink."&step=1&sub_id=".$data['newsletter_sub_id']."&do=deactivate'>".$locale['onl_117']."</a>";
			}
			echo " / <a href='".FUSION_SELF.$aidlink."&step=1&sub_id=".$data['newsletter_sub_id']."&do=delete'>".$locale['onl_069']."</a></td></tr>\n";
		}
		echo "</table>";
		if ($rows > 500) {
			echo "<div align='center' style='margin-top:5px;'>\n".makePageNav($rowstart,500,$rows,3,FUSION_SELF.$aidlink."&")."\n</div>\n";
		}
	}
	else {
		echo "<br /><br /><center>".$locale['onl_118']."<br /><br />\n";
		echo "<a href='".FUSION_SELF.$aidlink."&step=1&do=add'>".$locale['onl_106']."</a>
</center><br /><br />\n";
	}
	closetable();

	opentable($locale['onl_119']);
	$maxsub = dbrows(dbquery("SELECT * FROM ".DB_ONEWSLETTER_SUBS.""));
	$maxmem = dbrows(dbquery("SELECT * FROM ".DB_ONEWSLETTER_SUBS." WHERE newsletter_sub_who='1'"));
	$maxgue = dbrows(dbquery("SELECT * FROM ".DB_ONEWSLETTER_SUBS." WHERE newsletter_sub_who='0'"));
	$inactiv = dbrows(dbquery("SELECT * FROM ".DB_ONEWSLETTER_SUBS." WHERE newsletter_sub_stat='0'"));
	echo "<table border='0' cellpadding='0' cellspacing='1' class='tbl-border' width='600px' align='center'>\n";
	echo "<tr><td class='tbl1' align='center' width='25%'>".$locale['onl_120']."</td>\n";
	echo "<td class='tbl1' align='center' width='25%'>".$locale['onl_121']."</td>\n";
	echo "<td class='tbl1' align='center' width='25%'>".$locale['onl_122']."</td>\n";
	echo "<td class='tbl1' align='center' width='25%'>".$locale['onl_123']."</td></tr>\n";
	echo "<tr><td class='tbl2' align='center' width='25%'>".$maxsub."</td>\n";
	echo "<td class='tbl2' align='center' width='25%'>".$maxmem."</td>\n";
	echo "<td class='tbl2' align='center' width='25%'>".$maxgue."</td>\n";
	echo "<td class='tbl2' align='center' width='25%'>".$inactiv."</td></tr>\n";
	echo "</table>";
	closetable();
}

require_once THEMES."templates/footer.php";
?>