<?php
/*---------------------------------------------------+
| PHP-Fusion 7 Content Management System
| Copyright  2008 - 2006 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| OPen Newsletter v2.00
| Created for PHP-Fusion v6
| by Koller Jzsef (Orosznyet)
| email: orosznyet@gmail.com
| website: http://orosznyet.extra.hu
| updated for PHP-Fusion v7: Paul Beuk (muscapaul)
| email: muscapaul@gmail.com
| website: http://www.muscapaul.com
+----------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";

if (file_exists(INFUSIONS."open_newsletter_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."open_newsletter_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."open_newsletter_panel/locale/English.php";
}

if (!iSUPERADMIN) { redirect(BASEDIR."index.php"); }

if (checkrights("ONL")) {
	opentable("Upgrade terminated");
	echo "<center>It appears as if this upgrade has been performed already.<br />\nThe upgrade script will terminate.<br />\nYou are advised to set any administrative rights for the Open Newsletter Infusion through Admin Panel -> User Admin -> Administrators.<br />\nGo to <a href='".BASEDIR."administration/index.php".$aidlink."'>Admin Index</a>.</center>\n";
	closetable();
}
else {
	if (isset($_POST['all_supers']) || isset($_GET['all_supers'])) {
		$all_supers = (isset($_GET['all_supers']) ? $_GET['all_supers'] : $_POST['all_supers']);
	} else { $all_supers = "0"; }

	if (isset($_POST['all_admins']) || isset($_GET['all_admins'])) {
		$all_admins = (isset($_GET['all_admins']) ? $_GET['all_admins'] : $_POST['all_admins']);
	} else { $all_admins = "0"; }

	if (isset($_POST['upgrade'])) {
		opentable("Upgrade performed");
		echo "<table border='0' cellpadding='0'cellspacing='0' width='600' align='center'>\n";
			echo "<tr><td class='tbl' align='center'>\n";

// adding rights for primary superadmin
		$result = dbquery("SELECT user_id, user_rights, user_name FROM ".DB_USERS." WHERE user_level='103' AND user_id='1'");
		while ($data = dbarray($result)) {
			$results = dbquery("UPDATE ".DB_USERS." SET user_rights='".$data['user_rights'].".ONL' WHERE user_id='1'");
			echo "Primary Superadmin ".$data['user_name']." updated.<br />"; 
		}

// adding rights for non-primary superadmins
		if ($all_supers == '1') {
			$result = dbquery("SELECT user_name, user_id, user_rights FROM ".DB_USERS." WHERE user_level='103' AND user_id!='1'");
			while ($data = dbarray($result)) {
				$result2 = dbquery("UPDATE ".DB_USERS." SET user_rights='".$data['user_rights'].".ONL' WHERE user_id='".$data['user_id']."'");
				echo "Superadmin ".$data['user_name']." updated.<br />"; 
			}
		}

// adding admin rights for existing admins
		if ($all_admins == '1') {
			$right = 'I';
			$right2 = 'IP';
			$result = dbquery("SELECT user_name, user_id, user_rights FROM ".DB_USERS." WHERE (user_rights REGEXP('^{$right}\\\.|\\\.{$right}\\\.|\\\.{$right}$') OR user_rights REGEXP('^{$right2}\\\.|\\\.{$right2}\\\.|\\\.{$right2}$')) AND user_level='102'");
			while ($data = dbarray($result)) {
				$result2 = dbquery("UPDATE ".DB_USERS." SET user_rights='".$data['user_rights'].".ONL' WHERE user_id='".$data['user_id']."'");
				echo "Admin ".$data['user_name']." updated.<br />"; 
			}
		}
		$result = dbquery ("UPDATE ".DB_ADMIN." SET admin_rights = 'ONL', admin_title = '".$locale['onl_000']."', admin_link = '../infusions/open_newsletter_panel/open_newsletter_admin.php' WHERE admin_link='../infusions/newsletter_panel/newsletter_admin.php'");
		$result = dbquery ("RENAME TABLE ".DB_PREFIX."newsletters TO ".DB_PREFIX."onewsletters");
		$result = dbquery ("RENAME TABLE ".DB_PREFIX."newsletter_subs TO ".DB_PREFIX."onewsletter_subs");
		$result = dbquery ("RENAME TABLE ".DB_PREFIX."newsletter_validate TO ".DB_PREFIX."onewsletter_validate");
		$result = dbquery ("UPDATE ".DB_INFUSIONS." SET inf_title = '".$locale['onl_000']."', inf_folder='open_newsletter_panel' WHERE inf_folder='newsletter_panel'");

		echo "<strong>Do not forget to update the existing panel for the newsletter to the one in the open_newsletter_panel folder!</strong>";
		echo "Return to <a href='".BASEDIR."administration/index.php".$aidlink."'>Admin Index</a>";
		echo "</td></tr>\n</table>";
		closetable();
	}

	else {
		opentable("Upgrade Open Newsletter Infusion from PHP-Fusion v6 to PHP-Fusion v7");
		echo "<form ENCTYPE='multipart/form-data' name='inputform' method='post' action='".FUSION_SELF."'>\n";
		echo "<table border='0' cellpadding='3' cellspacing='1' width='600' align='center'>\n";
		echo "<tr><td colspan='2' class='tbl' align='center'>This upgrade script is only valid for upgrading from the Burn!nGames Newsletter for PHP-Fusion v6 by orosznyet to the Open Newsletter for PHP-Fusion v7, which was updated by muscapaul.<br />Please be advised, that the existing tables for the Burn!nGames Newsletter will be renamed. If you want to be certain that you will not loose any critical data duting the upgrade, please make a database backup before you continue with this upgrade.</td></tr>\n"; 
		echo "<tr><td colspan='2' class='tbl' align='center'><strong>Please check the required boxes.</strong><br />Set admin rights for Market Place Infusion for:</td></tr>\n"; 
		echo "<tr><td class='tbl1' align='right' width='75%'>ALL Superadmins (not just Primary Superadmin): </td>\n";
		echo "<td class='tbl1' align='left'><input type='checkbox' name='all_supers' value='1' /></td></tr>\n";
		echo "<tr><td class='tbl1' align='right'>ALL Admins with rights to Infusion Administration: </td>\n";
		echo "<td class='tbl1' align='left'><input type='checkbox' name='all_admins' value='1' /></td></tr>\n";
		echo "<tr><td align='center' colspan='2' class='tbl1'>\n";
		echo "<input type='submit' name='upgrade' value='Upgrade' class='button' /></td></tr>\n";
		echo "</table>\n";
		echo "</form>\n";
		closetable();
	}
}

require_once THEMES."templates/footer.php";
?>